> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Current Customer

> Retrieves the profile of the currently authenticated customer, along with their credit balance.




## OpenAPI

````yaml get /public/user/customer/retrieve
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/customer/retrieve:
    get:
      tags:
        - Customer
      summary: Retrieve Current Customer
      description: >
        Retrieves the profile of the currently authenticated customer, along
        with their credit balance.
      responses:
        '200':
          description: Successful Customer Profile Retrieve
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CustomerSuccessfulRetrieveResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          credit_balance:
                            type: integer
                            example: 10000
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          active_residential_service_id:
                            type: string
                            example: 130-8201-332
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          active_mobile_service_id:
                            type: string
                            example: 130-8201-332
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          residential_bytes_left:
                            type: integer
                            example: 313344
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          mobile_bytes_left:
                            type: integer
                            example: 313344
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          proxy_count:
                            type: integer
                            example: 100
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          free_trial_is_pending:
                            type: boolean
                            example: false
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          kyc_is_pending:
                            type: boolean
                            example: false
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          active_service_types:
                            type: array
                            example:
                              - isp
                              - residential
                              - mobile
                            items:
                              type: string
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    CustomerSuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            active_mobile_service_id:
              type: string
              example: 1955-8012-871
            active_mobile_service_is_paused:
              type: boolean
              example: false
            active_residential_service_id:
              type: string
              example: 1955-8012-871
            active_residential_service_subscription_is_paused:
              type: boolean
              example: false
            active_service_types:
              type: array
              items:
                type: string
                example: ''
            country_id:
              type: string
              example: us
            country_id_billing:
              type: string
              example: us
            credit_balance:
              type: integer
              example: 1245
            customer_billing_line_one:
              type: string
              example: '1'
            customer_billing_line_two:
              type: string
              example: Infinite Loop
            customer_billing_name:
              type: string
              example: Steve Jobs
            customer_billing_subdivision_name:
              type: string
              example: Cupertino
            customer_billing_zip_code:
              type: string
              example: '95014'
            customer_creation_datetime:
              type: string
              format: date-time
            customer_default_residential_free_trial_bytes:
              type: integer
              example: 1000000000
            customer_discord_id:
              type: string
              example: dis_ckf3malOP1s
            customer_discord_oauth_id:
              type: string
              example: 0xfOavU6OUtXxhJ8
            customer_dob:
              type: string
              example: '2023-09-01'
            customer_email_address:
              type: string
              example: steve.jobs@apple.com
            customer_email_two_factor_authentication:
              type: boolean
              example: true
            customer_first_name:
              type: string
              example: Steve
            customer_general_terms_agreement_datetime:
              type: string
              format: date-time
            customer_google_oauth_id:
              type: string
              example: 7Z6CbaOsoDg9AYds
            customer_id:
              type: integer
              example: 1955
            customer_is_residential_trial_eligible:
              type: boolean
              example: true
            customer_iso_language_code:
              type: string
              example: en
            customer_kyc_level:
              type: integer
              example: 1
            customer_last_login_datetime:
              type: string
              format: date-time
            customer_last_name:
              type: string
              example: Jobs
            customer_last_update_datetime:
              type: string
              format: date-time
            customer_phone_number:
              type: string
              example: '+14089961010'
            customer_profile_image_url:
              type: string
              example: https://apple.com/steveprofilepic.jpg
            customer_proxy_user_limit:
              type: integer
              example: 5
            customer_requires_information_confirm:
              type: boolean
              example: false
            customer_requires_password_change:
              type: boolean
              example: false
            customer_residential_trial_disallow_reason:
              type: string
              example: kyc_verification_failure
            free_trial_is_pending:
              type: boolean
              example: false
            kyc_is_pending:
              type: boolean
              example: false
            mobile_bytes_left:
              type: integer
              example: 1000000000
            proxy_count:
              type: integer
              example: 100
            residential_bytes_left:
              type: integer
              example: 1000000000
          description: Retrieved Customer item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: Customer retrieve was successful.
      example:
        data:
          active_mobile_service_id: 1955-8012-871
          active_mobile_service_is_paused: false
          active_residential_service_id: 1955-8012-871
          active_residential_service_subscription_is_paused: false
          active_service_types:
            - - isp
              - residential
              - mobile
          country_id: us
          country_id_billing: us
          credit_balance: 1245
          customer_billing_line_one: '1'
          customer_billing_line_two: Infinite Loop
          customer_billing_name: Steve Jobs
          customer_billing_subdivision_name: Cupertino
          customer_billing_zip_code: '95014'
          customer_creation_datetime: '2023-09-01 10:00:00'
          customer_default_residential_free_trial_bytes: 1000000000
          customer_discord_id: dis_ckf3malOP1s
          customer_discord_oauth_id: 0xfOavU6OUtXxhJ8
          customer_dob: '2023-09-01'
          customer_email_address: steve.jobs@apple.com
          customer_email_two_factor_authentication: true
          customer_first_name: Steve
          customer_general_terms_agreement_datetime: '2023-09-01 10:00:00'
          customer_google_oauth_id: 7Z6CbaOsoDg9AYds
          customer_id: 1955
          customer_is_residential_trial_eligible: true
          customer_iso_language_code: en
          customer_kyc_level: 1
          customer_last_login_datetime: '2023-09-10 10:00:00'
          customer_last_name: Jobs
          customer_last_update_datetime: '2023-09-10 11:00:00'
          customer_phone_number: '+14089961010'
          customer_profile_image_url: https://apple.com/steveprofilepic.jpg
          customer_proxy_user_limit: 5
          customer_requires_information_confirm: false
          customer_requires_password_change: false
          customer_residential_trial_disallow_reason: kyc_verification_failure
          free_trial_is_pending: false
          kyc_is_pending: false
          mobile_bytes_left: 1000000000
          proxy_count: 100
          residential_bytes_left: 1000000000
        message: Customer successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````